# This file is in the public domain.
[PATHS]
TALER_HOME = ${PWD}/test_reducer_home/
TALER_DATA_HOME = $TALER_HOME/.local/share/taler/
TALER_CONFIG_HOME = $TALER_HOME/.config/taler/
TALER_CACHE_HOME = $TALER_HOME/.cache/taler/
TALER_RUNTIME_DIR = ${TMPDIR:-${TMP:-/tmp}}/${USER:-}/taler-system-runtime/

[anastasis]
CURRENCY = TESTKUDOS
CURRENCIES = TESTKUDOS
DB = postgres
ANNUAL_FEE = TESTKUDOS:4.99
TRUTH_UPLOAD_FEE = TESTKUDOS:0.01
UPLOAD_LIMIT_MB = 1
ANNUAL_POLICY_UPLOAD_LIMIT = 128
INSURANCE = TESTKUDOS:1.0

[anastasis-merchant-backend]
PAYMENT_BACKEND_URL = http://localhost:9966/

[authorization-question]
CURRENCY = TESTKUDOS
COST = TESTKUDOS:0.0

[exchange]
CURRENCY = TESTKUDOS
CURRENCY_ROUND_UNIT = TESTKUDOS:0.01
TINY_AMOUNT = TESTKUDOS:0.01
MASTER_PUBLIC_KEY = 3NX5DJDBD8XVGZYHV3PBF8C3Z4GK48XD59YY5GF3CZE8AJM04WSG
AML_THRESHOLD = TESTKUDOS:1000000
MAX_KEYS_CACHING = forever
DB = postgres
SERVE = tcp
UNIXPATH = ${TALER_RUNTIME_DIR}/exchange.http
UNIXPATH_MODE = 660
PORT = 8081
BASE_URL = http://localhost:8081/
SIGNKEY_DURATION = 2 weeks
SIGNKEY_LEGAL_DURATION = 2 years
LEGAL_DURATION = 2 years
LOOKAHEAD_SIGN = 3 weeks 1 day
LOOKAHEAD_PROVIDE = 2 weeks 1 day
TERMS_ETAG = 0
PRIVACY_ETAG = 0
STEFAN_ABS = "TESTKUDOS:5"

# Account of the EXCHANGE
[exchange-account-1]
# What is the exchange's bank account (with the "Taler Bank" demo system)?
PAYTO_URI = payto://iban/SANDBOXX/DE989651?receiver-name=Exchange+Company
ENABLE_DEBIT = YES
ENABLE_CREDIT = YES

[exchange-accountcredentials-1]
WIRE_GATEWAY_URL = http://localhost:18082/accounts/exchange/taler-wire-gateway/
WIRE_GATEWAY_AUTH_METHOD = basic
USERNAME = exchange
PASSWORD = x


[exchange-account-2]
PAYTO_URI = "payto://x-taler-bank/localhost/exchange?receiver-name=exchange"
ENABLE_DEBIT = YES
ENABLE_CREDIT = YES

[exchange-accountcredentials-2]
WIRE_GATEWAY_AUTH_METHOD = none
WIRE_GATEWAY_URL = "http://localhost:18082/accounts/exchange/taler-wire-gateway/"

[merchant]
SERVE = tcp
PORT = 9966
UNIXPATH = ${TALER_RUNTIME_DIR}/merchant.http
UNIXPATH_MODE = 660
DB = postgres
KEYFILE = ${TALER_DATA_HOME}/merchant/merchant.priv

# Ensure that merchant reports EVERY deposit confirmation to auditor
FORCE_AUDIT = YES

[auditor]
DB = postgres
AUDITOR_PRIV_FILE = ${TALER_DATA_HOME}/auditor/offline-keys/auditor.priv
SERVE = tcp
UNIXPATH = ${TALER_RUNTIME_DIR}/exchange.http
UNIXPATH_MODE = 660
PORT = 8083
AUDITOR_URL = http://localhost:8083/
TINY_AMOUNT = TESTKUDOS:0.01
AUDITOR_PRIV_FILE = ${TALER_DATA_HOME}/auditor/offline-keys/auditor.priv
BASE_URL = "http://localhost:8083/"

[bank]
DATABASE = postgres:///taler-auditor-basedb
MAX_DEBT = TESTKUDOS:50.0
MAX_DEBT_BANK = TESTKUDOS:100000.0
HTTP_PORT = 18082
SUGGESTED_EXCHANGE = http://localhost:8081/
SUGGESTED_EXCHANGE_PAYTO = payto://x-taler-bank/localhost/2?receiver-name=Exchange
ALLOW_REGISTRATIONS = YES
SERVE = http

[libeufin-bank]
CURRENCY = TESTKUDOS
WIRE_TYPE = iban
IBAN_PAYTO_BIC = SANDBOXX
DEFAULT_CUSTOMER_DEBT_LIMIT = TESTKUDOS:200
DEFAULT_ADMIN_DEBT_LIMIT = TESTKUDOS:2000
REGISTRATION_BONUS_ENABLED = yes
REGISTRATION_BONUS = TESTKUDOS:100
SUGGESTED_WITHDRAWAL_EXCHANGE = http://localhost:8081/
SERVE = tcp
PORT = 18082

[exchangedb]
IDLE_RESERVE_EXPIRATION_TIME = 4 weeks
LEGAL_RESERVE_EXPIRATION_TIME = 7 years

[auditordb-postgres]
CONFIG = "postgres:///talercheck"

[exchangedb-postgres]
CONFIG = "postgres:///talercheck"

[merchantdb-postgres]
CONFIG = "postgres:///talercheck"

[merchant-exchange-default]
EXCHANGE_BASE_URL = http://localhost:8081/
CURRENCY = TESTKUDOS
MASTER_KEY = 3NX5DJDBD8XVGZYHV3PBF8C3Z4GK48XD59YY5GF3CZE8AJM04WSG

[payments-generator]
currency = TESTKUDOS
instance = default
bank = http://localhost:8082/
merchant = http://localhost:9966/
exchange_admin = http://localhost:18080/
exchange-admin = http://localhost:18080/
exchange = http://localhost:8081/

[coin_kudos_ct_1]
value = TESTKUDOS:0.01
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.01
fee_deposit = TESTKUDOS:0.01
fee_refresh = TESTKUDOS:0.01
fee_refund = TESTKUDOS:0.01
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_ct_10]
value = TESTKUDOS:0.10
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.01
fee_deposit = TESTKUDOS:0.01
fee_refresh = TESTKUDOS:0.03
fee_refund = TESTKUDOS:0.01
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_1]
value = TESTKUDOS:1
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.02
fee_deposit = TESTKUDOS:0.02
fee_refresh = TESTKUDOS:0.03
fee_refund = TESTKUDOS:0.01
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_2]
value = TESTKUDOS:2
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.03
fee_deposit = TESTKUDOS:0.03
fee_refresh = TESTKUDOS:0.04
fee_refund = TESTKUDOS:0.02
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_4]
value = TESTKUDOS:4
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.03
fee_deposit = TESTKUDOS:0.03
fee_refresh = TESTKUDOS:0.04
fee_refund = TESTKUDOS:0.02
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_5]
value = TESTKUDOS:5
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.01
fee_deposit = TESTKUDOS:0.01
fee_refresh = TESTKUDOS:0.03
fee_refund = TESTKUDOS:0.01
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_8]
value = TESTKUDOS:8
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.05
fee_deposit = TESTKUDOS:0.02
fee_refresh = TESTKUDOS:0.03
fee_refund = TESTKUDOS:0.04
rsa_keysize = 1024
CIPHER = RSA

[coin_kudos_10]
value = TESTKUDOS:10
duration_withdraw = 7 days
duration_spend = 2 years
duration_legal = 3 years
fee_withdraw = TESTKUDOS:0.01
fee_deposit = TESTKUDOS:0.01
fee_refresh = TESTKUDOS:0.03
fee_refund = TESTKUDOS:0.01
rsa_keysize = 1024
CIPHER = RSA
